PooledJavaComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.component.PooledJavaComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component
Class PooledJavaComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.component.AbstractJavaComponent
              org.mule.component.PooledJavaComponent

All Implemented Interfaces:
  Component, JavaComponent, MuleContextAware, Interceptor, Disposable, Initialisable, Lifecycle, Startable, Stoppable

    public class PooledJavaComponent

extends AbstractJavaComponent

`PooledJavaComponent` implements pooling.

Nested Class Summary
`protected class` | `PooledJavaComponent.LifeCycleAdaptorFactory` `LifeCycleAdaptorFactory` wraps the Component' s `ObjectFactory`.

Field Summary
`protected LifecyleEnabledObjectPool` | `lifecycleAdapterPool`
`protected PoolingProfile` | `poolingProfile`

Fields inherited from class org.mule.component.AbstractJavaComponent
`bindingCollection, entryPointResolverSet, lifecycleAdapterFactory, objectFactory`

Fields inherited from class org.mule.component.AbstractComponent
`disposed, disposing, initialised, interceptors, logger, muleContext, notificationHandler, service, started, statistics, stopping`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`PooledJavaComponent()`
`PooledJavaComponent(ObjectFactory objectFactory)`
`PooledJavaComponent(ObjectFactory objectFactory, PoolingProfile poolingProfile)`
`PooledJavaComponent(ObjectFactory objectFactory, PoolingProfile poolingProfile, EntryPointResolverSet entryPointResolverSet, BindingCollection bindingCollection)`

Method Summary
`protected LifecycleAdapter` | `borrowComponentLifecycleAdaptor()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`PoolingProfile` | `getPoolingProfile()`
`protected void` | `returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)`
`void` | `setPoolingProfile(PoolingProfile poolingProfile)`

Methods inherited from class org.mule.component.AbstractJavaComponent
`createLifeCycleAdaptor, doDispose, doInitialise, doInvoke, getBindingCollection, getEntryPointResolverSet, getLifecycleAdapterFactory, getObjectFactory, getObjectType, invokeComponentInstance, setBindingCollection, setEntryPointResolvers, setEntryPointResolverSet, setLifecycleAdapterFactory, setObjectFactory`

Methods inherited from class org.mule.component.AbstractComponent
`checkDisposed, createResultMessage, dispose, fireComponentNotification, getInterceptors, getService, getStatistics, initialise, intercept, invoke, release, setInterceptors, setMuleContext, setService, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.component.Component
`getService, getStatistics, invoke, setService`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### poolingProfile

    protected PoolingProfile poolingProfile

### lifecycleAdapterPool

    protected LifecyleEnabledObjectPool lifecycleAdapterPool

Constructor Detail

### PooledJavaComponent

    public PooledJavaComponent()

### PooledJavaComponent

    public PooledJavaComponent(ObjectFactory objectFactory)

### PooledJavaComponent

    public PooledJavaComponent(ObjectFactory objectFactory,
                               PoolingProfile poolingProfile)

### PooledJavaComponent

    public PooledJavaComponent(ObjectFactory objectFactory,
                               PoolingProfile poolingProfile,
                               EntryPointResolverSet entryPointResolverSet,
                               BindingCollection bindingCollection)

Method Detail

### borrowComponentLifecycleAdaptor

    protected LifecycleAdapter borrowComponentLifecycleAdaptor()
                                                        throws Exception

  Specified by:
    `borrowComponentLifecycleAdaptor` in class `AbstractJavaComponent`
  Throws:
    `Exception`

### returnComponentLifecycleAdaptor

    protected void returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)

  Specified by:
    `returnComponentLifecycleAdaptor` in class `AbstractJavaComponent`

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractJavaComponent`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractComponent`
  Throws:
    `MuleException`

### setPoolingProfile

    public void setPoolingProfile(PoolingProfile poolingProfile)

### getPoolingProfile

    public PoolingProfile getPoolingProfile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.